#### 7.10.2.28 triangularGroup

Procedure from library `fpalgebras.lib` (see fpalgebras_lib).

Usage:
  triangularGroup(g,d); g an integer, d an integer

Return:
  ring

Note:
  - the ring contains the ideal I, which contains the required relations - g gives the number of the example (1 - 14)
  - d gives the degreebound for the Letterplace ring
  - varying g produces a family of examples

  The examples are found in
  Classification of the finite generalized tetrahedron groups by Gerhard Rosenberger and Martin Scheer.
  The 14 examples are denoted in theorem 2.12

Example:

    LIB "fpalgebras.lib";
    def R = triangularGroup(3,10); setring R;
    I;
    ==> I[1]=a*a*a+1
    ==> I[2]=b*b*b+1
    ==> I[3]=a*b*a*b*b*a*b*a*b*b+1

User manual for Singular version 4.4.1, 2025, generated by texi2html.